Package com.arms.api.report.export_service.exception

## Class ReportExportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.arms.api.report.export_service.exception.ReportExportException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `TemplateNotFoundException`

      public class ReportExportException
      extends java.lang.RuntimeException

  리포트 내보내기 예외
  Since:
    25.12.03
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReportExportException​(java.lang.String message)` |
    `ReportExportException​(java.lang.String errorCode, java.lang.String message)` |
    `ReportExportException​(java.lang.String errorCode, java.lang.String message, java.lang.Throwable cause)` |
    `ReportExportException​(java.lang.String message, java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportExportException

          public ReportExportException​(java.lang.String message)

    - #### ReportExportException

          public ReportExportException​(java.lang.String errorCode,
                                       java.lang.String message)

    - #### ReportExportException

          public ReportExportException​(java.lang.String message,
                                       java.lang.Throwable cause)

    - #### ReportExportException

          public ReportExportException​(java.lang.String errorCode,
                                       java.lang.String message,
                                       java.lang.Throwable cause)